import{s as V,n as Y,o as Z}from"../chunks/scheduler.f7e1785c.js";import{S as ee,i as te,g as l,s as i,r as S,A as ne,h as r,f as n,c as s,j as N,u as j,x as k,k as Q,y as ae,a,v as q,d as W,t as z,w as B}from"../chunks/index.9f8f0838.js";import{H as D}from"../chunks/Heading.6643a2f7.js";import{E as ie}from"../chunks/EditOnGithub.d8925fc6.js";function se(G){let o,y,b,x,m,_,f,I="After introducing the core concepts behind agents, we’ll explore different agentic frameworks that can be used to build powerful agentic applications. Let’s dive in! 🕵",L,c,A,p,O="An agentic framework is not always needed when building an application around LLMs. They provide flexibility in the workflow to efficiently solve a specific task, but they’re not always necessary. Sometimes, predefined workflows are sufficient to fulfill user requests, and there is no real need for an agentic framework. If the approach to build an agent is simple, like a chain of prompts, using plain code may be enough. The advantage is that the developer will have full control and understanding of their system without abstractions.",C,u,R="However, when the workflow becomes more complex, such as letting an LLM call functions or using multiple agents, these abstractions start to become helpful.",M,h,X="Considering these ideas, we can already identify the need for some features:",P,g,J="<li>An LLM engine that powers the system.</li> <li>A list of tools the agent can access.</li> <li>A parser for extracting tool calls from the LLM output.</li> <li>A system prompt synced with the parser.</li> <li>A memory system.</li> <li>Error logging and retry mechanisms to control LLM mistakes.</li>",T,d,F,w,K='<thead><tr><th>Framework</th> <th>Description</th> <th>Unit Author</th></tr></thead> <tbody><tr><td><a href="./smolagents/introduction">smolagents</a></td> <td>Agents framework developed by Hugging Face.</td> <td>Sergio Paniego - <a href="https://huggingface.co/sergiopaniego" rel="nofollow">HF</a> - <a href="https://x.com/sergiopaniego" rel="nofollow">X</a> - <a href="https://www.linkedin.com/in/sergio-paniego-blanco" rel="nofollow">Linkedin</a></td></tr></tbody>',H,$,E,v,U;return m=new D({props:{title:"Agentic Frameworks",local:"agentic-frameworks",headingTag:"h1"}}),c=new D({props:{title:"When to Use an Agentic Framework",local:"when-to-use-an-agentic-framework",headingTag:"h2"}}),d=new D({props:{title:"Agentic Frameworks Units",local:"agentic-frameworks-units",headingTag:"h2"}}),$=new ie({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit2/introduction.md"}}),{c(){o=l("meta"),y=i(),b=l("p"),x=i(),S(m.$$.fragment),_=i(),f=l("p"),f.textContent=I,L=i(),S(c.$$.fragment),A=i(),p=l("p"),p.textContent=O,C=i(),u=l("p"),u.textContent=R,M=i(),h=l("p"),h.textContent=X,P=i(),g=l("ul"),g.innerHTML=J,T=i(),S(d.$$.fragment),F=i(),w=l("table"),w.innerHTML=K,H=i(),S($.$$.fragment),E=i(),v=l("p"),this.h()},l(e){const t=ne("svelte-u9bgzb",document.head);o=r(t,"META",{name:!0,content:!0}),t.forEach(n),y=s(e),b=r(e,"P",{}),N(b).forEach(n),x=s(e),j(m.$$.fragment,e),_=s(e),f=r(e,"P",{"data-svelte-h":!0}),k(f)!=="svelte-1bktuhh"&&(f.textContent=I),L=s(e),j(c.$$.fragment,e),A=s(e),p=r(e,"P",{"data-svelte-h":!0}),k(p)!=="svelte-ojc4w0"&&(p.textContent=O),C=s(e),u=r(e,"P",{"data-svelte-h":!0}),k(u)!=="svelte-1ew78qv"&&(u.textContent=R),M=s(e),h=r(e,"P",{"data-svelte-h":!0}),k(h)!=="svelte-tt5p1j"&&(h.textContent=X),P=s(e),g=r(e,"UL",{"data-svelte-h":!0}),k(g)!=="svelte-d696d"&&(g.innerHTML=J),T=s(e),j(d.$$.fragment,e),F=s(e),w=r(e,"TABLE",{"data-svelte-h":!0}),k(w)!=="svelte-1l1tw5j"&&(w.innerHTML=K),H=s(e),j($.$$.fragment,e),E=s(e),v=r(e,"P",{}),N(v).forEach(n),this.h()},h(){Q(o,"name","hf:doc:metadata"),Q(o,"content",oe)},m(e,t){ae(document.head,o),a(e,y,t),a(e,b,t),a(e,x,t),q(m,e,t),a(e,_,t),a(e,f,t),a(e,L,t),q(c,e,t),a(e,A,t),a(e,p,t),a(e,C,t),a(e,u,t),a(e,M,t),a(e,h,t),a(e,P,t),a(e,g,t),a(e,T,t),q(d,e,t),a(e,F,t),a(e,w,t),a(e,H,t),q($,e,t),a(e,E,t),a(e,v,t),U=!0},p:Y,i(e){U||(W(m.$$.fragment,e),W(c.$$.fragment,e),W(d.$$.fragment,e),W($.$$.fragment,e),U=!0)},o(e){z(m.$$.fragment,e),z(c.$$.fragment,e),z(d.$$.fragment,e),z($.$$.fragment,e),U=!1},d(e){e&&(n(y),n(b),n(x),n(_),n(f),n(L),n(A),n(p),n(C),n(u),n(M),n(h),n(P),n(g),n(T),n(F),n(w),n(H),n(E),n(v)),n(o),B(m,e),B(c,e),B(d,e),B($,e)}}}const oe='{"title":"Agentic Frameworks","local":"agentic-frameworks","sections":[{"title":"When to Use an Agentic Framework","local":"when-to-use-an-agentic-framework","sections":[],"depth":2},{"title":"Agentic Frameworks Units","local":"agentic-frameworks-units","sections":[],"depth":2}],"depth":1}';function le(G){return Z(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class pe extends ee{constructor(o){super(),te(this,o,le,se,V,{})}}export{pe as component};
