import{s as Yn,f as Ie,n as Qn,o as Vn}from"../chunks/scheduler.f7e1785c.js";import{S as Kn,i as Zn,g as o,s as i,r as u,A as el,h as a,f as n,c as s,j as Nn,u as g,x as r,k as f,y as tl,a as l,v as h,d as m,t as p,w as d}from"../chunks/index.9f8f0838.js";import{H as c}from"../chunks/Heading.6643a2f7.js";import{E as nl}from"../chunks/EditOnGithub.d8925fc6.js";function ll(Qt){let w,Fe,Ae,qe,x,Ue,L,Vt='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/thumbnail.jpg" alt="AI Agents Course thumbnail" width="100%"/> <figcaption>The background of the image was generated using <a href="https://scenario.com/">Scenario.com</a></figcaption>',Se,C,Kt="Welcome to the most exciting topic in AI today: <strong>Agents</strong>!",We,H,Zt="This free course will take you on a journey, <strong>from beginner to expert</strong>, in understanding, using and building AI agents.",Be,M,en="This first unit will help you onboard:",Ee,_,tn="<li>Discover the <strong>course’s syllabus</strong>.</li> <li><strong>Choose the path</strong> you’re going to take (either self-audit or certification process).</li> <li><strong>Get more information about the certification process and the deadlines</strong>.</li> <li>Get to know the team behind the course.</li> <li>Create your <strong>Hugging Face account</strong>.</li> <li><strong>Sign-up to our Discord server</strong>, and meet your classmates and us.</li>",Ge,k,nn="Let’s get started!",Je,P,De,A,ln="In this course, you will:",ze,j,sn='<li>📖 Study AI Agents in <strong>theory, design, and practice.</strong></li> <li>🧑‍💻 Learn to <strong>use established AI Agent libraries</strong> such as <a href="https://huggingface.co/docs/smolagents/en/index" rel="nofollow">smolagents</a>, <a href="https://www.langchain.com/" rel="nofollow">LangChain</a>, and <a href="https://www.llamaindex.ai/" rel="nofollow">LlamaIndex</a>.</li> <li>💾 <strong>Share your agents</strong> on the Hugging Face Hub and explore agents created by the community.</li> <li>🏆 Participate in challenges where you will <strong>evaluate your agents against other students’.</strong></li> <li>🎓 <strong>Earn a certificate of completion</strong> by completing assignments.</li>',Re,I,on="And more!",Oe,F,an="At the end of this course you’ll understand <strong>how Agents work and how to build your own Agents using the latest libraries and tools</strong>.",Xe,q,rn='Don’t forget to <strong><a href="https://bit.ly/hf-learn-agents">sign up to the course!</a></strong>',Ne,U,un="(We are respectful of your privacy. We collect your email address to be able to <strong>send you the links when each Unit is published and give you information about the challenges and updates</strong>).",Ye,S,Qe,W,gn="The course is composed of:",Ve,B,fn='<li><em>Foundational Units</em>: where you learn Agents <strong>concepts in theory</strong>.</li> <li><em>Hands-on</em>: where you’ll learn <strong>to use established AI Agent libraries</strong> to train your agents in unique environments. These hands-on sections will be <strong>Hugging Face Spaces</strong> with a pre-configured environment.</li> <li><em>Use case assignments</em>: where you’ll apply the concepts you’ve learned to solve a real-world problem that you’ll choose.</li> <li><em>The Challenge</em>: you’ll get to put your agent to compete against other agents in a challenge. There will also be <a href="https://huggingface.co/spaces/huggingface-projects/AI-Agents-Leaderboard" rel="nofollow">a leaderboard</a> (not available yet) for you to compare the agents’ performance.</li>',Ke,E,hn='This <strong>course is a living project, evolving with your feedback and contributions!</strong> Feel free to <a href="https://github.com/huggingface/agents-course" rel="nofollow">open issues and PRs in GitHub</a>, and engage in discussions in our Discord server.',Ze,G,mn='After you have gone through the course, you can also send your feedback  <a href="https://docs.google.com/forms/d/e/1FAIpQLSe9VaONn0eglax0uTwi29rIn4tM7H2sYmmybmG5jJNlE5v0xA/viewform?usp=dialog" rel="nofollow">👉 using this form</a>',et,J,tt,D,pn="Here is the <strong>general syllabus for the course</strong>. A more detailed list of topics will be released with each unit.",nt,z,dn='<thead><tr><th align="left">Chapter</th> <th align="left">Topic</th> <th align="left">Description</th></tr></thead> <tbody><tr><td align="left">0</td> <td align="left">Onboarding</td> <td align="left">Set you up with the tools and platforms that you will use.</td></tr> <tr><td align="left">1</td> <td align="left">Agent Fundamentals</td> <td align="left">Explain Tools, Thoughts, Actions, Observations, and their formats. Explain LLMs, messages, special tokens and chat templates. Show a simple use case using python functions as tools.</td></tr> <tr><td align="left">1.5</td> <td align="left">Bonus : Fine-tuning an LLM for function calling</td> <td align="left">Let’s use LoRa and fine-tune a model to perform function calling inside a notebook.</td></tr> <tr><td align="left">2</td> <td align="left">Frameworks</td> <td align="left">Understand how the fundamentals are implemented in popular libraries : smolagents, LangGraph, LLamaIndex</td></tr> <tr><td align="left">3</td> <td align="left">Use Cases</td> <td align="left">Let’s build some real life use cases (open to PRs 🤗 from experienced Agent builders)</td></tr> <tr><td align="left">4</td> <td align="left">Final Assignment</td> <td align="left">Build an agent for a selected benchmark and prove your understanding of Agents on the student leaderboard  🚀</td></tr></tbody>',lt,R,cn="<em>We are also planning to release some bonus units, stay tuned!</em>",it,O,st,X,wn="To be able to follow this course you should have a:",ot,N,vn="<li>Basic knowledge of Python</li> <li>Basic knowledge of LLMs (we have a section in Unit 1 to recap what they are)</li>",at,Y,rt,Q,$n="You only need 2 things:",ut,V,yn='<li><em>A computer</em> with an internet connection.</li> <li>A <em>Hugging Face Account</em>: to push and load models, agents, and create Spaces. If you don’t have an account yet, you can create one <strong><a href="https://hf.co/join" rel="nofollow">here</a></strong> (it’s free).<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/tools.jpg" alt="Course tools needed" width="100%"/></li>',gt,K,ft,v,Tn,ht,Z,bn="You can choose to follow this course <em>in audit mode</em>, or do the activities and <em>get one of the two certificates we’ll issue</em>.",mt,ee,xn="If you audit the course, you can participate in all the challenges and do assignments if you want, and <strong>you don’t need to notify us</strong>.",pt,te,Ln="The certification process is <strong>completely free</strong>:",dt,ne,Cn="<li><em>To get a certification for fundamentals</em>: you need to complete Unit 1 of the course. This is intended for students that want to get up to date with the latest trends in Agents.</li> <li><em>To get a certificate of completion</em>: you need to complete Unit 1, one of the use case assignments we’ll propose during the course, and the final challenge.</li>",ct,le,Hn="There’s a deadline for the certification process: all the assignments must be finished before <strong>May 1st 2025</strong>.",wt,$,Mn,vt,ie,$t,se,_n="Each chapter in this course is designed <strong>to be completed in 1 week, with approximately 3-4 hours of work per week</strong>.",yt,oe,kn="Since there’s a deadline, we provide you a recommended pace:",Tt,y,Pn,bt,ae,xt,re,An="To get the most out of the course, we have some advice:",Lt,ue,jn='<li><a href="https://discord.gg/UrrTSsSyjb">Join study groups in Discord</a>: studying in groups is always easier. To do that, you need to join our discord server and verify your Hugging Face account.</li> <li><strong>Do the quizzes and assignments</strong>: the best way to learn is through hands-on practice and self-assessment.</li> <li><strong>Define a schedule to stay in sync</strong>: you can use our recommended pace schedule below or create yours.</li>',Ct,T,In,Ht,ge,Mt,fe,Fn="About the authors:",_t,he,kt,me,qn="Joffrey is a machine learning engineer at Hugging Face and has built and deployed AI Agents in production. Joffrey will be your main instructor for this course.",Pt,pe,Un='<li><a href="https://huggingface.co/Jofthomas" rel="nofollow">Follow Joffrey on Hugging Face</a></li> <li><a href="https://x.com/Jthmas404" rel="nofollow">Follow Joffrey on X</a></li> <li><a href="https://www.linkedin.com/in/joffrey-thomas/" rel="nofollow">Follow Joffrey on Linkedin</a></li>',At,de,jt,ce,Sn="Ben is a machine learning engineer at Hugging Face and has delivered multiple courses across various platforms. Ben’s goal is to make the course accessible to everyone.",It,we,Wn='<li><a href="https://huggingface.co/burtenshaw" rel="nofollow">Follow Ben on Hugging Face</a></li> <li><a href="https://x.com/ben_burtenshaw" rel="nofollow">Follow Ben on X</a></li> <li><a href="https://www.linkedin.com/in/ben-burtenshaw/" rel="nofollow">Follow Ben on Linkedin</a></li>',Ft,ve,qt,$e,Bn='Thomas is a machine learning engineer at Hugging Face and delivered the successful <a href="https://huggingface.co/learn/deep-rl-course/unit0/introduction">Deep RL</a> and <a href="https://huggingface.co/learn/ml-games-course/en/unit0/introduction">ML for games</a> courses. Thomas is a big fan of Agents and is excited to see what the community will build.',Ut,ye,En='<li><a href="https://huggingface.co/ThomasSimonini" rel="nofollow">Follow Thomas on Hugging Face</a></li> <li><a href="https://x.com/ThomasSimonini" rel="nofollow">Follow Thomas on X</a></li> <li><a href="https://www.linkedin.com/in/simoninithomas/" rel="nofollow">Follow Thomas on Linkedin</a></li>',St,Te,Wt,be,Gn="We would like to extend our gratitude to the following individuals for their invaluable contributions to this course:",Bt,xe,Jn='<li><strong><a href="https://huggingface.co/pcuenq" rel="nofollow">Pedro Cuenca</a></strong> – For his guidance and expertise in reviewing the materials</li> <li><strong><a href="https://huggingface.co/m-ric" rel="nofollow">Aymeric Roucher</a></strong> – For his amazing demo spaces ( decoding and final agent ) as well as his help on the smolagents parts.</li> <li><strong><a href="https://huggingface.co/Xenova" rel="nofollow">Joshua Lochner</a></strong> – For his amazing demo space on tokenization.</li> <li><strong><a href="https://huggingface.co/qgallouedec" rel="nofollow">Quentin Gallouédec</a></strong> – For his help on the course content.</li> <li><strong><a href="https://huggingface.co/davidberenstein1957" rel="nofollow">David Berenstein</a></strong> – For his help on the course content and moderation.</li>',Et,Le,Gt,Ce,Dn="Contributions are <strong>welcome</strong> 🤗",Jt,He,zn='<li>If you <em>found a bug 🐛 in a notebook</em>, please <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe the problem</strong>.</li> <li>If you <em>want to improve the course</em>, you can <a href="https://github.com/huggingface/agents-course/pulls">open a Pull Request.</a></li> <li>If you <em>want to add a full section or a new unit</em>, the best is to <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe what content you want to add before starting to write it so that we can guide you</strong>.</li>',Dt,Me,zt,_e,Rn='Please ask your question in our <a href="https://discord.gg/UrrTSsSyjb">discord server #ai-agents-discussions.</a>',Rt,ke,On="Now that you have all the information, let’s get on board ⛵",Ot,b,Xn,Xt,Pe,Nt,je,Yt;return x=new c({props:{title:"Welcome to the 🤗 AI Agents Course",local:"introduction",headingTag:"h1"}}),P=new c({props:{title:"What to expect from this course?",local:"expect",headingTag:"h2"}}),S=new c({props:{title:"What does the course look like?",local:"course-look-like",headingTag:"h2"}}),J=new c({props:{title:"What’s the syllabus?",local:"syllabus",headingTag:"h2"}}),O=new c({props:{title:"What are the prerequisites?",local:"what-are-the-prerequisites",headingTag:"h2"}}),Y=new c({props:{title:"What tools do I need?",local:"tools",headingTag:"h2"}}),K=new c({props:{title:"The Certification Process",local:"certification-process",headingTag:"h2"}}),ie=new c({props:{title:"What is the recommended pace?",local:"recommended-pace",headingTag:"h2"}}),ae=new c({props:{title:"How to get the most out of the course?",local:"advice",headingTag:"h2"}}),ge=new c({props:{title:"Who are we",local:"who-are-we",headingTag:"h2"}}),he=new c({props:{title:"Joffrey Thomas",local:"joffrey-thomas",headingTag:"h3"}}),de=new c({props:{title:"Ben Burtenshaw",local:"ben-burtenshaw",headingTag:"h3"}}),ve=new c({props:{title:"Thomas Simonini",local:"thomas-simonini",headingTag:"h3"}}),Te=new c({props:{title:"Acknowledgments",local:"acknowledgments",headingTag:"h2"}}),Le=new c({props:{title:"I found a bug, or I want to improve the course",local:"contribute",headingTag:"h2"}}),Me=new c({props:{title:"I still have questions",local:"questions",headingTag:"h2"}}),Pe=new nl({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit0/introduction.mdx"}}),{c(){w=o("meta"),Fe=i(),Ae=o("p"),qe=i(),u(x.$$.fragment),Ue=i(),L=o("figure"),L.innerHTML=Vt,Se=i(),C=o("p"),C.innerHTML=Kt,We=i(),H=o("p"),H.innerHTML=Zt,Be=i(),M=o("p"),M.textContent=en,Ee=i(),_=o("ul"),_.innerHTML=tn,Ge=i(),k=o("p"),k.textContent=nn,Je=i(),u(P.$$.fragment),De=i(),A=o("p"),A.textContent=ln,ze=i(),j=o("ul"),j.innerHTML=sn,Re=i(),I=o("p"),I.textContent=on,Oe=i(),F=o("p"),F.innerHTML=an,Xe=i(),q=o("p"),q.innerHTML=rn,Ne=i(),U=o("p"),U.innerHTML=un,Ye=i(),u(S.$$.fragment),Qe=i(),W=o("p"),W.textContent=gn,Ve=i(),B=o("ul"),B.innerHTML=fn,Ke=i(),E=o("p"),E.innerHTML=hn,Ze=i(),G=o("p"),G.innerHTML=mn,et=i(),u(J.$$.fragment),tt=i(),D=o("p"),D.innerHTML=pn,nt=i(),z=o("table"),z.innerHTML=dn,lt=i(),R=o("p"),R.innerHTML=cn,it=i(),u(O.$$.fragment),st=i(),X=o("p"),X.textContent=wn,ot=i(),N=o("ul"),N.innerHTML=vn,at=i(),u(Y.$$.fragment),rt=i(),Q=o("p"),Q.textContent=$n,ut=i(),V=o("ul"),V.innerHTML=yn,gt=i(),u(K.$$.fragment),ft=i(),v=o("img"),ht=i(),Z=o("p"),Z.innerHTML=bn,mt=i(),ee=o("p"),ee.innerHTML=xn,pt=i(),te=o("p"),te.innerHTML=Ln,dt=i(),ne=o("ul"),ne.innerHTML=Cn,ct=i(),le=o("p"),le.innerHTML=Hn,wt=i(),$=o("img"),vt=i(),u(ie.$$.fragment),$t=i(),se=o("p"),se.innerHTML=_n,yt=i(),oe=o("p"),oe.textContent=kn,Tt=i(),y=o("img"),bt=i(),u(ae.$$.fragment),xt=i(),re=o("p"),re.textContent=An,Lt=i(),ue=o("ol"),ue.innerHTML=jn,Ct=i(),T=o("img"),Ht=i(),u(ge.$$.fragment),Mt=i(),fe=o("p"),fe.textContent=Fn,_t=i(),u(he.$$.fragment),kt=i(),me=o("p"),me.textContent=qn,Pt=i(),pe=o("ul"),pe.innerHTML=Un,At=i(),u(de.$$.fragment),jt=i(),ce=o("p"),ce.textContent=Sn,It=i(),we=o("ul"),we.innerHTML=Wn,Ft=i(),u(ve.$$.fragment),qt=i(),$e=o("p"),$e.innerHTML=Bn,Ut=i(),ye=o("ul"),ye.innerHTML=En,St=i(),u(Te.$$.fragment),Wt=i(),be=o("p"),be.textContent=Gn,Bt=i(),xe=o("ul"),xe.innerHTML=Jn,Et=i(),u(Le.$$.fragment),Gt=i(),Ce=o("p"),Ce.innerHTML=Dn,Jt=i(),He=o("ul"),He.innerHTML=zn,Dt=i(),u(Me.$$.fragment),zt=i(),_e=o("p"),_e.innerHTML=Rn,Rt=i(),ke=o("p"),ke.textContent=On,Ot=i(),b=o("img"),Xt=i(),u(Pe.$$.fragment),Nt=i(),je=o("p"),this.h()},l(e){const t=el("svelte-u9bgzb",document.head);w=a(t,"META",{name:!0,content:!0}),t.forEach(n),Fe=s(e),Ae=a(e,"P",{}),Nn(Ae).forEach(n),qe=s(e),g(x.$$.fragment,e),Ue=s(e),L=a(e,"FIGURE",{"data-svelte-h":!0}),r(L)!=="svelte-1e9iu5f"&&(L.innerHTML=Vt),Se=s(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17pu5cl"&&(C.innerHTML=Kt),We=s(e),H=a(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-dvnpj7"&&(H.innerHTML=Zt),Be=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1csi7fx"&&(M.textContent=en),Ee=s(e),_=a(e,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-ixjw75"&&(_.innerHTML=tn),Ge=s(e),k=a(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-4b3xjd"&&(k.textContent=nn),Je=s(e),g(P.$$.fragment,e),De=s(e),A=a(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-f2qxb3"&&(A.textContent=ln),ze=s(e),j=a(e,"UL",{"data-svelte-h":!0}),r(j)!=="svelte-dt96yw"&&(j.innerHTML=sn),Re=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-t67g99"&&(I.textContent=on),Oe=s(e),F=a(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-rxvjyt"&&(F.innerHTML=an),Xe=s(e),q=a(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-5ioa44"&&(q.innerHTML=rn),Ne=s(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-yhvrbv"&&(U.innerHTML=un),Ye=s(e),g(S.$$.fragment,e),Qe=s(e),W=a(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-1ee6w8b"&&(W.textContent=gn),Ve=s(e),B=a(e,"UL",{"data-svelte-h":!0}),r(B)!=="svelte-1r4t4vj"&&(B.innerHTML=fn),Ke=s(e),E=a(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-1bts4d3"&&(E.innerHTML=hn),Ze=s(e),G=a(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-16fokxm"&&(G.innerHTML=mn),et=s(e),g(J.$$.fragment,e),tt=s(e),D=a(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-qhjxsa"&&(D.innerHTML=pn),nt=s(e),z=a(e,"TABLE",{"data-svelte-h":!0}),r(z)!=="svelte-1o9r22p"&&(z.innerHTML=dn),lt=s(e),R=a(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-1aqi5y9"&&(R.innerHTML=cn),it=s(e),g(O.$$.fragment,e),st=s(e),X=a(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-kqo70s"&&(X.textContent=wn),ot=s(e),N=a(e,"UL",{"data-svelte-h":!0}),r(N)!=="svelte-1o8em9l"&&(N.innerHTML=vn),at=s(e),g(Y.$$.fragment,e),rt=s(e),Q=a(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-17wttjy"&&(Q.textContent=$n),ut=s(e),V=a(e,"UL",{"data-svelte-h":!0}),r(V)!=="svelte-l2nc5g"&&(V.innerHTML=yn),gt=s(e),g(K.$$.fragment,e),ft=s(e),v=a(e,"IMG",{src:!0,alt:!0,width:!0}),ht=s(e),Z=a(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-knl2ed"&&(Z.innerHTML=bn),mt=s(e),ee=a(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1kpr9m4"&&(ee.innerHTML=xn),pt=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-1ybbpoz"&&(te.innerHTML=Ln),dt=s(e),ne=a(e,"UL",{"data-svelte-h":!0}),r(ne)!=="svelte-1mkaw8h"&&(ne.innerHTML=Cn),ct=s(e),le=a(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1roe7pg"&&(le.innerHTML=Hn),wt=s(e),$=a(e,"IMG",{src:!0,alt:!0,width:!0}),vt=s(e),g(ie.$$.fragment,e),$t=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-16x0fhq"&&(se.innerHTML=_n),yt=s(e),oe=a(e,"P",{"data-svelte-h":!0}),r(oe)!=="svelte-1emjga4"&&(oe.textContent=kn),Tt=s(e),y=a(e,"IMG",{src:!0,alt:!0,width:!0}),bt=s(e),g(ae.$$.fragment,e),xt=s(e),re=a(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-822ilm"&&(re.textContent=An),Lt=s(e),ue=a(e,"OL",{"data-svelte-h":!0}),r(ue)!=="svelte-2zafgm"&&(ue.innerHTML=jn),Ct=s(e),T=a(e,"IMG",{src:!0,alt:!0,width:!0}),Ht=s(e),g(ge.$$.fragment,e),Mt=s(e),fe=a(e,"P",{"data-svelte-h":!0}),r(fe)!=="svelte-1qyo5w8"&&(fe.textContent=Fn),_t=s(e),g(he.$$.fragment,e),kt=s(e),me=a(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-jk5ik2"&&(me.textContent=qn),Pt=s(e),pe=a(e,"UL",{"data-svelte-h":!0}),r(pe)!=="svelte-wu2u0z"&&(pe.innerHTML=Un),At=s(e),g(de.$$.fragment,e),jt=s(e),ce=a(e,"P",{"data-svelte-h":!0}),r(ce)!=="svelte-yjqhaj"&&(ce.textContent=Sn),It=s(e),we=a(e,"UL",{"data-svelte-h":!0}),r(we)!=="svelte-1vlxpb2"&&(we.innerHTML=Wn),Ft=s(e),g(ve.$$.fragment,e),qt=s(e),$e=a(e,"P",{"data-svelte-h":!0}),r($e)!=="svelte-10mjr36"&&($e.innerHTML=Bn),Ut=s(e),ye=a(e,"UL",{"data-svelte-h":!0}),r(ye)!=="svelte-pmrlrk"&&(ye.innerHTML=En),St=s(e),g(Te.$$.fragment,e),Wt=s(e),be=a(e,"P",{"data-svelte-h":!0}),r(be)!=="svelte-1g13y94"&&(be.textContent=Gn),Bt=s(e),xe=a(e,"UL",{"data-svelte-h":!0}),r(xe)!=="svelte-jmabkf"&&(xe.innerHTML=Jn),Et=s(e),g(Le.$$.fragment,e),Gt=s(e),Ce=a(e,"P",{"data-svelte-h":!0}),r(Ce)!=="svelte-nxego7"&&(Ce.innerHTML=Dn),Jt=s(e),He=a(e,"UL",{"data-svelte-h":!0}),r(He)!=="svelte-1lujafl"&&(He.innerHTML=zn),Dt=s(e),g(Me.$$.fragment,e),zt=s(e),_e=a(e,"P",{"data-svelte-h":!0}),r(_e)!=="svelte-1qqh474"&&(_e.innerHTML=Rn),Rt=s(e),ke=a(e,"P",{"data-svelte-h":!0}),r(ke)!=="svelte-gbc6aj"&&(ke.textContent=On),Ot=s(e),b=a(e,"IMG",{src:!0,alt:!0,width:!0}),Xt=s(e),g(Pe.$$.fragment,e),Nt=s(e),je=a(e,"P",{}),Nn(je).forEach(n),this.h()},h(){f(w,"name","hf:doc:metadata"),f(w,"content",il),Ie(v.src,Tn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/three-paths.jpg")||f(v,"src",Tn),f(v,"alt","Two paths"),f(v,"width","100%"),Ie($.src,Mn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/deadline.jpg")||f($,"src",Mn),f($,"alt","Deadline"),f($,"width","100%"),Ie(y.src,Pn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/recommended-pace.jpg")||f(y,"src",Pn),f(y,"alt","Recommended Pace"),f(y,"width","100%"),Ie(T.src,In="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/advice.jpg")||f(T,"src",In),f(T,"alt","Course advice"),f(T,"width","100%"),Ie(b.src,Xn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/time-to-onboard.jpg")||f(b,"src",Xn),f(b,"alt","Time to Onboard"),f(b,"width","100%")},m(e,t){tl(document.head,w),l(e,Fe,t),l(e,Ae,t),l(e,qe,t),h(x,e,t),l(e,Ue,t),l(e,L,t),l(e,Se,t),l(e,C,t),l(e,We,t),l(e,H,t),l(e,Be,t),l(e,M,t),l(e,Ee,t),l(e,_,t),l(e,Ge,t),l(e,k,t),l(e,Je,t),h(P,e,t),l(e,De,t),l(e,A,t),l(e,ze,t),l(e,j,t),l(e,Re,t),l(e,I,t),l(e,Oe,t),l(e,F,t),l(e,Xe,t),l(e,q,t),l(e,Ne,t),l(e,U,t),l(e,Ye,t),h(S,e,t),l(e,Qe,t),l(e,W,t),l(e,Ve,t),l(e,B,t),l(e,Ke,t),l(e,E,t),l(e,Ze,t),l(e,G,t),l(e,et,t),h(J,e,t),l(e,tt,t),l(e,D,t),l(e,nt,t),l(e,z,t),l(e,lt,t),l(e,R,t),l(e,it,t),h(O,e,t),l(e,st,t),l(e,X,t),l(e,ot,t),l(e,N,t),l(e,at,t),h(Y,e,t),l(e,rt,t),l(e,Q,t),l(e,ut,t),l(e,V,t),l(e,gt,t),h(K,e,t),l(e,ft,t),l(e,v,t),l(e,ht,t),l(e,Z,t),l(e,mt,t),l(e,ee,t),l(e,pt,t),l(e,te,t),l(e,dt,t),l(e,ne,t),l(e,ct,t),l(e,le,t),l(e,wt,t),l(e,$,t),l(e,vt,t),h(ie,e,t),l(e,$t,t),l(e,se,t),l(e,yt,t),l(e,oe,t),l(e,Tt,t),l(e,y,t),l(e,bt,t),h(ae,e,t),l(e,xt,t),l(e,re,t),l(e,Lt,t),l(e,ue,t),l(e,Ct,t),l(e,T,t),l(e,Ht,t),h(ge,e,t),l(e,Mt,t),l(e,fe,t),l(e,_t,t),h(he,e,t),l(e,kt,t),l(e,me,t),l(e,Pt,t),l(e,pe,t),l(e,At,t),h(de,e,t),l(e,jt,t),l(e,ce,t),l(e,It,t),l(e,we,t),l(e,Ft,t),h(ve,e,t),l(e,qt,t),l(e,$e,t),l(e,Ut,t),l(e,ye,t),l(e,St,t),h(Te,e,t),l(e,Wt,t),l(e,be,t),l(e,Bt,t),l(e,xe,t),l(e,Et,t),h(Le,e,t),l(e,Gt,t),l(e,Ce,t),l(e,Jt,t),l(e,He,t),l(e,Dt,t),h(Me,e,t),l(e,zt,t),l(e,_e,t),l(e,Rt,t),l(e,ke,t),l(e,Ot,t),l(e,b,t),l(e,Xt,t),h(Pe,e,t),l(e,Nt,t),l(e,je,t),Yt=!0},p:Qn,i(e){Yt||(m(x.$$.fragment,e),m(P.$$.fragment,e),m(S.$$.fragment,e),m(J.$$.fragment,e),m(O.$$.fragment,e),m(Y.$$.fragment,e),m(K.$$.fragment,e),m(ie.$$.fragment,e),m(ae.$$.fragment,e),m(ge.$$.fragment,e),m(he.$$.fragment,e),m(de.$$.fragment,e),m(ve.$$.fragment,e),m(Te.$$.fragment,e),m(Le.$$.fragment,e),m(Me.$$.fragment,e),m(Pe.$$.fragment,e),Yt=!0)},o(e){p(x.$$.fragment,e),p(P.$$.fragment,e),p(S.$$.fragment,e),p(J.$$.fragment,e),p(O.$$.fragment,e),p(Y.$$.fragment,e),p(K.$$.fragment,e),p(ie.$$.fragment,e),p(ae.$$.fragment,e),p(ge.$$.fragment,e),p(he.$$.fragment,e),p(de.$$.fragment,e),p(ve.$$.fragment,e),p(Te.$$.fragment,e),p(Le.$$.fragment,e),p(Me.$$.fragment,e),p(Pe.$$.fragment,e),Yt=!1},d(e){e&&(n(Fe),n(Ae),n(qe),n(Ue),n(L),n(Se),n(C),n(We),n(H),n(Be),n(M),n(Ee),n(_),n(Ge),n(k),n(Je),n(De),n(A),n(ze),n(j),n(Re),n(I),n(Oe),n(F),n(Xe),n(q),n(Ne),n(U),n(Ye),n(Qe),n(W),n(Ve),n(B),n(Ke),n(E),n(Ze),n(G),n(et),n(tt),n(D),n(nt),n(z),n(lt),n(R),n(it),n(st),n(X),n(ot),n(N),n(at),n(rt),n(Q),n(ut),n(V),n(gt),n(ft),n(v),n(ht),n(Z),n(mt),n(ee),n(pt),n(te),n(dt),n(ne),n(ct),n(le),n(wt),n($),n(vt),n($t),n(se),n(yt),n(oe),n(Tt),n(y),n(bt),n(xt),n(re),n(Lt),n(ue),n(Ct),n(T),n(Ht),n(Mt),n(fe),n(_t),n(kt),n(me),n(Pt),n(pe),n(At),n(jt),n(ce),n(It),n(we),n(Ft),n(qt),n($e),n(Ut),n(ye),n(St),n(Wt),n(be),n(Bt),n(xe),n(Et),n(Gt),n(Ce),n(Jt),n(He),n(Dt),n(zt),n(_e),n(Rt),n(ke),n(Ot),n(b),n(Xt),n(Nt),n(je)),n(w),d(x,e),d(P,e),d(S,e),d(J,e),d(O,e),d(Y,e),d(K,e),d(ie,e),d(ae,e),d(ge,e),d(he,e),d(de,e),d(ve,e),d(Te,e),d(Le,e),d(Me,e),d(Pe,e)}}}const il='{"title":"Welcome to the 🤗 AI Agents Course","local":"introduction","sections":[{"title":"What to expect from this course?","local":"expect","sections":[],"depth":2},{"title":"What does the course look like?","local":"course-look-like","sections":[],"depth":2},{"title":"What’s the syllabus?","local":"syllabus","sections":[],"depth":2},{"title":"What are the prerequisites?","local":"what-are-the-prerequisites","sections":[],"depth":2},{"title":"What tools do I need?","local":"tools","sections":[],"depth":2},{"title":"The Certification Process","local":"certification-process","sections":[],"depth":2},{"title":"What is the recommended pace?","local":"recommended-pace","sections":[],"depth":2},{"title":"How to get the most out of the course?","local":"advice","sections":[],"depth":2},{"title":"Who are we","local":"who-are-we","sections":[{"title":"Joffrey Thomas","local":"joffrey-thomas","sections":[],"depth":3},{"title":"Ben Burtenshaw","local":"ben-burtenshaw","sections":[],"depth":3},{"title":"Thomas Simonini","local":"thomas-simonini","sections":[],"depth":3}],"depth":2},{"title":"Acknowledgments","local":"acknowledgments","sections":[],"depth":2},{"title":"I found a bug, or I want to improve the course","local":"contribute","sections":[],"depth":2},{"title":"I still have questions","local":"questions","sections":[],"depth":2}],"depth":1}';function sl(Qt){return Vn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gl extends Kn{constructor(w){super(),Zn(this,w,sl,ll,Yn,{})}}export{gl as component};
